[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[PATCH v2 0/2] dpkg-deb -Zlzma: use a saner default compression level


I previously sent these two patches as part of a series on xz support,
but they represent a fix in their own right.  Currently, "dpkg-deb
-Zlzma -b" produces .debs that require more memory to decompress than
one would expect.  It seems better to use a default that is not so
demanding for the decompressing end.

These patches apply on top of the compression code refactoring series
I just sent.  I hope they are of some use.  If you would like a
version that applies directly to master, please let me know.

Jonathan Nieder (2):
  libdpkg: let backends decide default compression level
  libdpkg: compress_lzma(): decrease default compression level

 lib/dpkg/compression-backend.c |   21 +++++++++++++++++++++
 lib/dpkg/compression.c         |    7 +++++--
 2 files changed, 26 insertions(+), 2 deletions(-)

Reply to: